- empty_repo = @project.empty_repo?
- emails_disabled = @project.emails_disabled?
- ff_reorg_disabled = Feature.disabled?(:project_overview_reorg)

%header.project-home-panel.js-show-on-project-root.gl-mt-5{ class: [("empty-project" if empty_repo)] }
  .gl-display-flex.gl-justify-content-space-between.gl-flex-wrap.gl-flex-direction-column.gl-md-flex-direction-row.gl-gap-5
    .home-panel-title-row.gl-display-flex.gl-align-items-center
      %div{ class: 'avatar-container rect-avatar s64 home-panel-avatar gl-flex-shrink-0 gl-w-11 gl-h-11 gl-mr-3! float-none' }
        = project_icon(@project, alt: @project.name, class: 'avatar avatar-tile s64', width: 64, height: 64, itemprop: 'image')
      %div
        %h1.home-panel-title.gl-font-size-h1.gl-mt-3.gl-mb-2.gl-display-flex.gl-word-break-word{ data: { testid: 'project-name-content' }, itemprop: 'name' }
          = @project.name
          = visibility_level_content(@project, css_class: 'visibility-icon gl-text-secondary gl-mx-2', icon_css_class: 'icon')
          = render_if_exists 'compliance_management/compliance_framework/compliance_framework_badge', project: @project, additional_classes: 'gl-align-self-center gl-mx-2'
          - if @project.catalog_resource
            = render partial: 'shared/ci_catalog_badge', locals: { href: project_ci_catalog_resource_path(@project, @project.catalog_resource), css_class: 'gl-mx-2' }
          - if @project.group
            = render_if_exists 'shared/tier_badge', source: @project, namespace_to_track: @project.namespace
        .home-panel-metadata.gl-font-sm.gl-text-secondary.gl-font-base.gl-font-weight-normal.gl-line-height-normal{ data: { testid: 'project-id-content' }, itemprop: 'identifier' }
          - if can?(current_user, :read_project, @project)
            %span.gl-display-inline-block.gl-vertical-align-middle
              = s_('ProjectPage|Project ID: %{project_id}') % { project_id: @project.id }
              = clipboard_button(title: s_('ProjectPage|Copy project ID'), text: @project.id)
          - if current_user
            %span.gl-ml-3.gl-mb-3
              = render 'shared/members/access_request_links', source: @project

    .project-repo-buttons.gl-display-flex.gl-justify-content-md-end.gl-align-items-center.gl-flex-wrap.gl-gap-3
      - if current_user
        - if current_user.admin?
          = link_button_to nil, [:admin, @project], icon: 'admin', title: _('View project in admin area'), data: {toggle: 'tooltip', placement: 'top', container: 'body'}
        - if @notification_setting
          .js-vue-notification-dropdown{ data: { disabled: emails_disabled.to_s, dropdown_items: notification_dropdown_items(@notification_setting).to_json, notification_level: @notification_setting.level, help_page_path: help_page_path('user/profile/notifications'), project_id: @project.id, no_flip: 'true' } }

      = render 'projects/buttons/star'
      = render 'projects/buttons/fork'

  - if ff_reorg_disabled
    - if can?(current_user, :read_code, @project)
      - show_auto_devops_callout = show_auto_devops_callout?(@project)

      %nav.project-stats.gl-mt-3
        - if @project.empty_repo?
          = render 'stat_anchor_list', anchors: @project.empty_repo_statistics_anchors
        - else
          = render 'stat_anchor_list', anchors: @project.statistics_anchors(show_auto_devops_callout: show_auto_devops_callout)
    .gl-my-3
      = render "shared/projects/topics", project: @project

    .home-panel-home-desc.mt-1
      - if @project.description.present?
        .home-panel-description.text-break
          .home-panel-description-markdown.read-more-container{ itemprop: 'description' }
            = markdown_field(@project, :description)
          = render Pajamas::ButtonComponent.new(category: :tertiary, variant: :link, button_options: { class: 'js-read-more-trigger gl-lg-display-none' }) do
            = _("Read more")

    = render_if_exists "projects/home_mirror"

  - if ff_reorg_disabled && @project.badges.present?
    .project-badges.mb-2{ data: { testid: 'project-badges-content' } }
      - @project.badges.each do |badge|
        - badge_link_url = badge.rendered_link_url(@project)
        %a.gl-mr-3{ href: badge_link_url,
          target: '_blank',
          rel: 'noopener noreferrer',
          data: { testid: 'badge-image-link', qa_link_url: badge_link_url } }>
          %img.project-badge{ src: badge.rendered_image_url(@project),
            'aria-hidden': true,
            alt: 'Project badge' }>
